//========================================================================================
//  
//  $File: $
//  
//  Owner: Aleksei Yashin
//  
//  $Author: $
//  
//  $DateTime: $
//  
//  $Revision: $
//  
//  $Change: $
//  
//  Copyright 1997-2003 Adobe Systems Incorporated. All rights reserved.
//  
//  NOTICE:  Adobe permits you to use, modify, and distribute this file in accordance 
//  with the terms of the Adobe license agreement accompanying it.  If you have received
//  this file from a source other than Adobe, then your use, modification, or 
//  distribution of it requires the prior written permission of Adobe.
//  
//========================================================================================


#ifndef __BrdrID_h__
#define __BrdrID_h__

#include "SDKDef.h"

// Company:
#define kBrdrCompanyKey "y'lab Software"     // Company name used internally for menu paths and the like. Must be globally unique, only A-Z, 0-9, space and "_".
#define kBrdrCompanyValue   "y'lab Software"   // Company name displayed externally.

// Plug-in:
#define kBrdrPluginName "border"            // Name of this plug-in.
#define kBrdrPrefixNumber   0x6B200         // Unique prefix number for this plug-in(*Must* be obtained from Adobe Developer Support).
#define kBrdrVersion        "0.1"                       // Version of this plug-in (for the About Box).
#define kBrdrAuthor     "Aleksei Yashin"                    // Author of this plug-in (for the About Box).

// Plug-in Prefix: (please change kBrdrPrefixNumber above to modify the prefix.)
#define kBrdrPrefix     RezLong(kBrdrPrefixNumber)              // The unique numeric prefix for all object model IDs for this plug-in.
#define kBrdrStringPrefix   SDK_DEF_STRINGIZE(kBrdrPrefixNumber)    // The string equivalent of the unique prefix number for  this plug-in.

// PluginID:
DECLARE_PMID(kPlugInIDSpace, kBrdrPluginID, kBrdrPrefix + 0)

// ClassIDs:
DECLARE_PMID(kClassIDSpace, kBrdrActionComponentBoss,   kBrdrPrefix + 0)


// InterfaceIDs:
DECLARE_PMID(kInterfaceIDSpace, IID_IBORDERSUITE,   kBrdrPrefix + 0)

// ImplementationIDs:
DECLARE_PMID(kImplementationIDSpace, kBrdrActionComponentImpl,      kBrdrPrefix + 0 )
DECLARE_PMID(kImplementationIDSpace, kBorderSuiteASBImpl,           kBrdrPrefix + 1)
DECLARE_PMID(kImplementationIDSpace, kBorderSuiteLayoutCSBImpl,      kBrdrPrefix + 2)


// ActionIDs:
DECLARE_PMID(kActionIDSpace, kBrdrAboutActionID,                kBrdrPrefix + 0)
DECLARE_PMID(kActionIDSpace, kBrdrMenuItem1ActionID,        kBrdrPrefix + (10 + 1))


// WidgetIDs:


// "About Plug-ins" sub-menu:
#define kBrdrAboutMenuKey           kBrdrStringPrefix "kBrdrAboutMenuKey"
#define kBrdrAboutMenuPath          kSDKDefStandardAboutMenuPath kBrdrCompanyKey

// "Plug-ins" sub-menu:
#define kBrdrPluginsMenuKey         kBrdrStringPrefix "kBrdrPluginsMenuKey"
//#define kBrdrPluginsMenuPath        kSDKDefPlugInsStandardMenuPath kBrdrCompanyKey kSDKDefDelimitMenuPath kBrdrPluginsMenuKey
#define kBrdrPluginsMenuPath        kSDKDefPlugInsStandardMenuPath kBrdrPluginsMenuKey

// Menu item keys:
#define kBrdrMenuItem1MenuItemKey       kBrdrStringPrefix "kBrdrMenuItem1MenuItemKey"

// Other StringKeys:
#define kBrdrAboutBoxStringKey              kBrdrStringPrefix "kBrdrAboutBoxStringKey"
#define kBrdrMenuItem1StringKey         kBrdrStringPrefix "kBrdrMenuItem1StringKey"
#define kBrdrTargetMenuPath kBrdrPluginsMenuPath

// Menu item positions:

#define kBrdrMenuItem1MenuItemPosition 1

#endif // __BrdrID_h__

//  Code generated by DollyXS code generator
