#include "VCPlugInHeaders.h"

// Interface includes:
#include "ISelectionManager.h" // required by selection templates.

// General includes:
#include "CPMUnknown.h"
#include "SelectionASBTemplates.tpp"

// Project includes:
#include "BrdrID.h"
#include "IBrdrSuite.h"

/**
    Integrator IBorderSuite implementation. Uses templates
    provided by the API to delegate calls to IBorderSuite
    implementations on underlying concrete selection boss
    classes.
*/
class BorderSuiteASB : public CPMUnknown<IBorderSuite>
{
  public:
    BorderSuiteASB(IPMUnknown* boss);
    virtual ~BorderSuiteASB(void);

  public:
    virtual bool16 CanBordering() const;
    virtual ErrorCode DoBordering();
};

CREATE_PMINTERFACE(BorderSuiteASB, kBorderSuiteASBImpl)

BorderSuiteASB::BorderSuiteASB(IPMUnknown* boss) : CPMUnknown<IBorderSuite>(boss)
{
}

BorderSuiteASB::~BorderSuiteASB(void)
{
}

bool16 BorderSuiteASB::CanBordering() const
{
  return(AnyCSBSupports(make_functor(&IBorderSuite::CanBordering), this));
}

ErrorCode BorderSuiteASB::DoBordering()
{
  return(Process(make_functor(&IBorderSuite::DoBordering), this));
}
