#include "CAlert.h"
#include "ErrorUtils.h"

#ifndef __DebugUtils_h__
#define __DebugUtils_h__

#define DBG

#ifdef DBG

#define TESTNIL(InterfaceName, Pointer) \
if((Pointer) == nil) \
{ \
  char Str[500]; \
  wsprintfA(Str, "Nil %s* in %s at line %d", #InterfaceName, __FILE__, __LINE__ - 1); \
  CAlert::ErrorAlert(Str); \
  break; \
}

#define TESTERROR(Name, Error) \
if(Error) \
{ \
  char Str[500]; \
  wsprintfA(Str, "%s: error in %s at line %d", #Name, __FILE__, __LINE__ - 1); \
  CAlert::ErrorAlert(Str); \
  break; \
}

#define TESTINT(Val) \
{ \
  char Str[100]; \
  wsprintfA(Str, "%s = %ld", #Val, Val); \
  CAlert::InformationAlert(Str); \
}

#define TESTSTR(Val) \
{ \
  char Str[100]; \
  wsprintfA(Str, "%s = %s", #Val, Val); \
  CAlert::InformationAlert(Str); \
}

#define TESTSTR2(Val) \
{ \
  char Str[100]; \
  wsprintfA(Str, "%s", Val); \
  CAlert::InformationAlert(Str); \
}

#define TESTPOS(Val) \
{ CAlert::InformationAlert(#Val); }

#define TESTCMD(CommandName, Status) \
if((Status) != kSuccess) \
{ \
  char Str[500]; \
  wsprintfA(Str, "Can't process %s in %s at line %d", #CommandName, __FILE__, __LINE__ - 1); \
  CAlert::ErrorAlert(Str); \
  ErrorUtils::PMSetGlobalErrorCode(kFailure); \
  break; \
}

#else

#define TESTNIL(InterfaceName, Pointer) if((Pointer) == nil) break;
#define TESTERROR(Name, Error) if(Error) break;
#define TESTINT(Val)
#define TESTSTR(Val)
#define TESTSTR2(Val)
#define TESTPOS(Val)
#define TESTCMD(CommandName, Status) if((Status) != kSuccess) { ErrorUtils::PMSetGlobalErrorCode(kFailure); break; }

#endif


#endif // __DebugUtils_h__
